<script lang="ts">
  import { createEventDispatcher } from "svelte";
  const dispatch = createEventDispatcher();
  function performAction(action: Action) {
    dispatch("action", action);
  }

  import { isPlayerActive } from "./theResistance";

  export let state: GameState;
  export let phase: TeamVoting;
  export let user: PlayerState | undefined;

  $: missionIndex = state.missions.length;
</script>

<div class="team-voting-prompt">
  <p>
    Proposed by <gs6-user userid={state.leader} />.
  </p>

  <div class="button-row">
    {#if user && isPlayerActive(state, user.id)}
      <button
        type="button"
        class="secondary"
        on:click={() => performAction({ VoteTeam: { vote: false } })}
      >
        <span class="emoji">👎</span> Reject
      </button>
      <button
        type="button"
        class="primary"
        on:click={() => performAction({ VoteTeam: { vote: true } })}
        ><span class="emoji">👍</span> Approve</button
      >
    {:else}
      <em>Players are voting …</em>
    {/if}
  </div>
</div>

<style>
  .team-voting-prompt {
    min-width: 20rem;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
  }

  .button-row {
    height: 4em;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
  }
  button {
    margin: 0.25em;
    white-space: nowrap;
  }
</style>
